Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#6 Zipping and downloading files

v1.0_(example)
open
nobody
None
5
2013-07-08
2013-05-16
Michelle Harrold
No

Hello -
My group at work has been working to create a data repository to give community members access to data sets. I am trying to test/use 'Zip and Download Files' feature to easily grab data/plots from a RAMADDA data repository, but I am having a hard time getting this to work properly. When I click 'Apply action: Zip and Download Files', it always downloads an empty file, no matter if I individually select certain files or choose select all. Any help/tips with this would be greatly appreciated!

Thank you,
Michelle Harrold
NCAR/RAL

Related

Support Requests: #6

Discussion

  • Jeff McWhirter
    Jeff McWhirter
    2013-05-22

    Hi Michelle,
    What version of RAMADDA are you running? If you're not running the latest (1.5b) you should upgrade and see if you still have this problem.

    If you are running the latest and still have the problem can you send me a link to your repository?

    Thanks,
    Jeff

     
  • Jeff McWhirter
    Jeff McWhirter
    2013-06-18

    Hi Michelle,
    I found the problem. The files you are trying to zip up are from the "Server Side Files" entry - RAMADDA just generates those entries on the fly by looking at the file system

    For some reason the Zip output was explicitly ignoring those types of entries. I have fixed this and will make a new 1.5B release later today.

    -Jeff

     
  • Jeff McWhirter
    Jeff McWhirter
    2013-06-19

    Hi Michelle,
    I just pushed out a new 1.5B release. This should fix your file zip and download problem

    -Jeff

     
  • Hi Jeff,

    We grabbed the new 1.5B release - it fixed the zip and download problem - thank you for your help with that. After downloading and installing it, I also was randomly checking/clicking around the repository to make sure nothing else was affected by the reinstall. I get an error message when I click directly on a grib or netcdf file that I want to download; however if I click on the download icon next to the file, it works as expected. When I click on a text file or plot, this problem does not occur. The error message is below. Does this look like a RAMADDA error to you? Or perhaps it is a java and/or tomcat error?

    Thank you!
    Michelle

    Error message:
    org.ramadda.repository.metadata.MetadataManager.findMetadata(Lorg/ramadda/repository/Entry;Ljava/lang/String;Z)Ljava/util/List;

     
  • Jeff McWhirter
    Jeff McWhirter
    2013-07-08

    Hi Michelle,
    Did you update your plugin files?

    You probably have an allplugins.(zip or jar) in:
    <ramadda home="" dir="">/plugins

    Delete any files there and get the new ones here:
    https://sourceforge.net/projects/ramadda/files/ramadda1.5b/

    Copy them to the plugins dir and restart RAMADDA.

    We keep finding users are running into this problem. We'll figure something out (or at least document the reinstall process better)

    -Jeff

     
  • Don Murray
    Don Murray
    2013-07-08

    Hi Michelle-

    Jeff's travelling at the moment, but it looks like there is a mismatch
    between the WAR file and the plugins. When you updated to the new 1.5b war
    file, did you update the allplugins.jar file as well? If not, give that a
    shot.

    Don Murray

    On Mon, Jul 8, 2013 at 9:00 AM, Michelle Harrold mharrold@users.sf.netwrote:

    Hi Jeff,

    We grabbed the new 1.5B release - it fixed the zip and download problem -
    thank you for your help with that. After downloading and installing it, I
    also was randomly checking/clicking around the repository to make sure
    nothing else was affected by the reinstall. I get an error message when I
    click directly on a grib or netcdf file that I want to download; however if
    I click on the download icon next to the file, it works as expected. When I
    click on a text file or plot, this problem does not occur. The error
    message is below. Does this look like a RAMADDA error to you? Or perhaps it
    is a java and/or tomcat error?

    Thank you!
    Michelle

    Error message:

    org.ramadda.repository.metadata.MetadataManager.findMetadata(Lorg/ramadda/repository/Entry;Ljava/lang/String;Z)Ljava/util/List;

    Status: open
    Created: Thu May 16, 2013 02:55 PM UTC by Michelle Harrold
    Last Updated: Wed Jun 19, 2013 04:13 AM UTC
    Owner: nobody

    Hello -
    My group at work has been working to create a data repository to give
    community members access to data sets. I am trying to test/use 'Zip and
    Download Files' feature to easily grab data/plots from a RAMADDA data
    repository, but I am having a hard time getting this to work properly. When
    I click 'Apply action: Zip and Download Files', it always downloads an
    empty file, no matter if I individually select certain files or choose
    select all. Any help/tips with this would be greatly appreciated!

    Thank you,
    Michelle Harrold
    NCAR/RAL


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/ramadda/support-requests/6/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Support Requests: #6

  • Hi Jeff and Don,

    Thanks for the suggestions - it is working as expected now.

    Thank you for all of your help regarding this matter!
    Michelle